%define rname mDNSResponder
%define nick  mdns

# Source Package
Name: mdnsresponder
Version: 107
Release: alt3

Summary: Provides Name-to-address translation and Discovery of Services for Zeroconf
Url: http://developer.apple.com/darwin/projects/rendezvous/
Group: System/Servers
License: Apple Public Source License

Source: http://darwinsource.opendarwin.org/tarballs/apsl/%rname-%version.tar.gz
Source1: mdnsd.init.d

Patch1: mDNSResponder-98-makefile.patch
Patch2: mdnsd_drop_privileges.patch
Patch3: mDNSResponder-107-mdk-alt-makefile-x86_64.patch

#Requires: lib%name = %version-%release
Conflicts: lib%name < %version-%release
Conflicts: lib%name > %version-%release
#
Provides: %rname = %version-%release
Obsoletes: %rname < %version-%release
Conflicts: tmdns

# Automatically added by buildreq on Fri Mar 18 2005 (-bi)
#BuildRequires:

%description
mDNSResponder provides two of three requirements for Zero
Configuration Networking, namely parts:
2. Name-to-address translation (even when there is no DNS server)
3. Discovery of Services on the network (again, without infrastucture)

%package -n lib%name
Group: System/Libraries
Summary: Library for mDNSResponder
Provides: lib%rname = %version-%release
#
%description -n lib%name
This package contains the library needed to run programs dynamically
linked with mDNSResponder.

%package -n lib%name-devel
Group: Development/C
Summary: Headers for developing programs that will use mDNSResponder
Requires: lib%name = %version-%release
Provides: lib%rname-devel = %version-%release
#
%description -n lib%name-devel
This package contains the headers that programmers will need to develop
applications which will use mDNSResponder.

%prep
%setup -q -n %rname-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%make -C mDNSPosix RPM_OPT_FLAGS="-fPIC %optflags" os=linux

%install
%__mkdir_p %buildroot/{/%_lib,%_bindir,%_sbindir,%_libdir,%_includedir,%_sysconfdir/rc.d/rc{0,2,3,4,5,6}.d,%_sysconfdir/rc.d/init.d,%_man5dir,%_man8dir}
%make -k -C mDNSPosix os=linux install \
  DESTDIR=$RPM_BUILD_ROOT \
  INSTBASE=$RPM_BUILD_ROOT%{_prefix} \
  MANPATH=$RPM_BUILD_ROOT%{_mandir} \
  STARTUPSCRIPTDIR=$RPM_BUILD_ROOT%{_initrddir} \
  RUNLEVELSCRIPTSDIR=$RPM_BUILD_ROOT%{_initrddir}/.. \
  NSSINSTPATH=$RPM_BUILD_ROOT/%_lib \
  NSLIBPATH=$RPM_BUILD_ROOT%_libdir ||:

rm -f %buildroot/%_sysconfdir/rc.d/init.d/mdns
ln -sf libdns_sd.so.1 %buildroot/%_libdir/libdns_sd.so
install -m0755 %SOURCE1 %buildroot/%_sysconfdir/rc.d/init.d/mdnsd
install -m0755 mDNSPosix/build/prod/mDNSIdentify %buildroot/%_bindir/
install -m0755 mDNSPosix/build/prod/mDNSNetMonitor %buildroot/%_bindir/
install -m0755 mDNSPosix/build/prod/mDNSClientPosix %buildroot/%_bindir/mDNSClient
install -m0755 mDNSPosix/build/prod/mDNSProxyResponderPosix %buildroot/%_bindir/mDNSProxyResponder
install -m0755 mDNSPosix/build/prod/mDNSResponderPosix %buildroot/%_bindir/mDNSResponder

%__mkdir_p %buildroot/%_sysconfdir/firsttime.d/
cat >%buildroot/%_sysconfdir/firsttime.d/%name <<__EOF__
/sbin/chkconfig --add mdnsd
__EOF__

mkdir -p $RPM_BUILD_ROOT/var/run
touch $RPM_BUILD_ROOT/var/run/mdnsd.pid


%post
useradd -s /dev/null -r _mdnsd >/dev/null 2>&1 ||:
if [ $1 -ge 1 ]; then
  /sbin/service mdnsd condrestart
fi

%post -n lib%name
%post_ldconfig
%postun -n lib%name
%postun_ldconfig


%files
%doc APPLE_LICENSE README.txt ./mDNSPosix/ReadMe.txt
%doc %_man8dir/*
#%_sysconfdir/firsttime.d/%name
%_sbindir/mdnsd
%config %_sysconfdir/rc.d/init.d/mdnsd
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) /var/run/mdnsd.pid

%files -n lib%name
%doc APPLE_LICENSE README.txt ./mDNSPosix/ReadMe.txt
%doc %_man5dir/*
%config(noreplace) /etc/nss_mdns.conf
/%_lib/libnss_mdns*
%_libdir/lib*.so.*

%files -n lib%name-devel
%doc APPLE_LICENSE README.txt ./mDNSPosix/ReadMe.txt
%_includedir/dns_sd.h
%_libdir/lib*.so

#%files utils
#%_bindir/mDNSClient
#%_bindir/mDNSIdentify
#%_bindir/mDNSNetMonitor
#%_bindir/mDNSProxyResponder
#%_bindir/mDNSResponder

%changelog
* Tue Sep 20 2005 Sergey V Turchin <zerg at altlinux dot org> 107-alt3
- fix %%files for x86_64; thanks Mouse@ALT

* Wed Jul 06 2005 Sergey V Turchin <zerg at altlinux dot org> 107-alt2
- fix for x86_64; thanks Mouse@ALT

* Thu Jun 09 2005 Sergey V Turchin <zerg at altlinux dot org> 107-alt1
- new version
- don't start service by default

* Mon Apr 04 2005 Sergey V Turchin <zerg at altlinux dot org> 98-alt2
- add patch for switching to _mdnsd user

* Thu Mar 31 2005 Sergey V Turchin <zerg at altlinux dot org> 98-alt1
- built for ALT
